One Star

[resolved] TOS_DI-macosx-cocoa is damaged and can't be opened

I've been running versions of Talend Open Studio on my Mac for a long time and can still launch v5.3.2.  I need to upgrade to at least v5.4.2, but I get this error when I try to run TOS_DI-macosx-cocoa:
"TOS_DI-macosx-cocoa" is damaged and can't be opened. You should move it to the Trash.
I get this message with v5.4.2, v5.6.0, and v5.6.1.  No log file gets created.  I have Mountain Lion (10.8.5) and JRE 1.7:
$ java -version
java version "1.7.0_51"
Java(TM) SE Runtime Environment (build 1.7.0_51-b13)
Java HotSpot(TM) 64-Bit Server VM (build 24.51-b03, mixed mode)
Thanks for any help -- I'm getting pretty desperate because I'm supposed to take over some jobs developed by another programmer!
11 REPLIES
Moderator

Re: [resolved] TOS_DI-macosx-cocoa is damaged and can't be opened

Hi,
All your studios are not working well in your MAC after upgrading? Can you open a new installed studio?
No error log is located in <Talend Studio installation path>/workspace/.metadata/.log ?

Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: [resolved] TOS_DI-macosx-cocoa is damaged and can't be opened

Hi Sabrina, thanks for your reply!  My v5.3.2 studio is still working fine.  I've tried installing new TOS versions multiple times (v5.4.2, v5.6.0, and v5.6.1 from the download site).  All of those fail in the same way.  No .metadata directory is created in the workspace directory.  Only .JETEmitters exists.
Moderator

Re: [resolved] TOS_DI-macosx-cocoa is damaged and can't be opened

Hi,
Did you download .zip file from website and unzip it successfully?
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: [resolved] TOS_DI-macosx-cocoa is damaged and can't be opened

Hi Sabrina,
Yes, I downloaded the .zip file and unzipped it successfully.  I've been using TOS since version 4.2.  I'm asking some colleagues to try and install newer Mac versions to try and confirm that this is a problem with my Mac rather than with the build process itself. 
Thanks,
Chris
One Star

Re: [resolved] TOS_DI-macosx-cocoa is damaged and can't be opened

Ugh, apparently my Mac OSX security changes have been changed.  This article tells you how to allow apps from "other vendors" to run on the Mac platform. 
 
Apple shouldn't just give a bogus "corrupt file" message when the app is not from one of its trusted vendors!   However, I'd suggest that Talend consider becoming a trusted vendor.  Thanks for your help!
Moderator

Re: [resolved] TOS_DI-macosx-cocoa is damaged and can't be opened

Hi,
Thanks for your feedback. 
Feel free to post your suggestion or request on Talend Bug Tracker.
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: [resolved] TOS_DI-macosx-cocoa is damaged and can't be opened

Where is the article link?
One Star

Re: [resolved] TOS_DI-macosx-cocoa is damaged and can't be opened

Hi,
i'm trying to launch it on Mac OSX Yosemite, i get the error message to check log file but I cant find the log.
The error is,
An Error has occurred.
See the log file
null

Please help to resolve this.
Moderator

Re: [resolved] TOS_DI-macosx-cocoa is damaged and can't be opened

Hi bpanimayam,
What's your Mac OSX Yosemite and JDK version? No error log is located in <Talend Studio installation path>/workspace/.metadata/.log?

Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: [resolved] TOS_DI-macosx-cocoa is damaged and can't be opened

Hi,
Im facing problem installing talend 6.1 on Mackbook air, OS X El Captian.
The TOS_BD-macosx-cocoa.ini shows
--launcher.XXMaxPermSize
512m
-vmargs
-Xms512m
-Xmx1536m
-Xdock:icon=../Resources/talend.icns
-XstartOnFirstThread
-Dorg.eclipse.swt.internal.carbon.smallFonts
-Dosgi.instance.area.default=../../../workspace
-Dfile.encoding=UTF-8 
and this is what I get on the log file
Last login: Tue May 10 20:48:35 on ttys000
Lakshmis-Air:~ lakshmipisipaty$ /Users/lakshmipisipaty/Desktop/TOS_BD-20151214_1327-V6.1.1/TOS_BD-macosx-cocoa.app/Contents/MacOS/TOS_BD-macosx-cocoa ; exit;
org.osgi.framework.BundleException: Exception in org.eclipse.osgi.internal.framework.SystemBundleActivator.start() of bundle org.eclipse.osgi.
at org.eclipse.osgi.internal.framework.BundleContextImpl.startActivator(BundleContextImpl.java:792)
at org.eclipse.osgi.internal.framework.BundleContextImpl.start(BundleContextImpl.java:721)
at org.eclipse.osgi.internal.framework.EquinoxBundle.startWorker0(EquinoxBundle.java:936)
at org.eclipse.osgi.internal.framework.EquinoxBundle$SystemBundle$EquinoxSystemModule.initWorker(EquinoxBundle.java:140)
at org.eclipse.osgi.container.SystemModule.init(SystemModule.java:83)
at org.eclipse.osgi.internal.framework.EquinoxBundle$SystemBundle.init(EquinoxBundle.java:209)
at org.eclipse.osgi.internal.framework.EquinoxBundle$SystemBundle.init(EquinoxBundle.java:201)
at org.eclipse.osgi.launch.Equinox.init(Equinox.java:168)
at org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:296)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:231)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:648)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:603)
at org.eclipse.equinox.launcher.Main.run(Main.java:1465)
Caused by: java.lang.UnsupportedClassVersionError: org/talend/osgi/configurator/OsgiLoaderActivator : Unsupported major.minor version 51.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637)
at java.lang.ClassLoader.defineClass(ClassLoader.java:621)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
at java.lang.Class.forName0(Native Method)
at java.lang.Class.forName(Class.java:171)
at org.eclipse.osgi.storage.FrameworkExtensionInstaller.startExtensionActivator(FrameworkExtensionInstaller.java:215)
at org.eclipse.osgi.storage.FrameworkExtensionInstaller.startExtensionActivators(FrameworkExtensionInstaller.java:180)
at org.eclipse.osgi.internal.framework.SystemBundleActivator.start(SystemBundleActivator.java:100)
at org.eclipse.osgi.internal.framework.BundleContextImpl$3.run(BundleContextImpl.java:771)
at org.eclipse.osgi.internal.framework.BundleContextImpl$3.run(BundleContextImpl.java:1)
at java.security.AccessController.doPrivileged(Native Method)
at org.eclipse.osgi.internal.framework.BundleContextImpl.startActivator(BundleContextImpl.java:764)
... 16 more
logout
Saving session...
...copying shared history...
...saving history...truncating history files...
...completed.

I am using Java version 8. How should I resolve this issue. Please help me out.
Moderator

Re: [resolved] TOS_DI-macosx-cocoa is damaged and can't be opened

Hi sarvani27,
Have you already checked document about:TalendHelpCenter:Compatible Platforms and Java environments to see if you are on a compatible platform?
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.